//+------------------------------------------------------------------+
//|                                                        Robot.mq4 |
//+------------------------------------------------------------------+

//-------------------------------------------------------------------+
extern double StopLoss   =17;     //SL 
extern double TakeProfit =15;     //TP 
extern double Lots        =0.01;     // 
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()                                                                                                                   //  int start() 
  {
  int total=OrdersTotal();                                                                                                    //    
  if(total<1)                                                                                                                 //:     
  {
   int order1=OrderSend(Symbol(), OP_SELLLIMIT, Lots, Ask+10*Point,3, Ask+(StopLoss+10)*Point, Ask-(TakeProfit-10)*Point);    //  order1: SELLLIMIT

   int order2=OrderSend(Symbol(), OP_BUYLIMIT, Lots, Ask-10*Point,3, Ask-(StopLoss+10)*Point, Ask+(TakeProfit-10)*Point);     //  order2: BUYLIMIT

 
//-------------------------------------------------------------------  1
  
   OrderSelect(order1, SELECT_BY_TICKET, MODE_TRADES);                                                                        // 1
   double cena1=OrderOpenPrice();                                                                                             //   1
   int order3=OrderSend(Symbol(), OP_BUYSTOP, Lots, cena1+5*Point,3, cena1+(5-StopLoss)*Point, cena1+(5+TakeProfit)*Point);   //  order3: BUYSTOP

  
//-------------------------------------------------------------------  2
  
   OrderSelect(order2, SELECT_BY_TICKET, MODE_TRADES);                                                                         // 2
   double cena2=OrderOpenPrice();                                                                                              //   2
   int order4=OrderSend(Symbol(), OP_SELLSTOP, Lots, cena2-5*Point,3, cena2+(StopLoss-5)*Point, cena2-(TakeProfit+5)*Point);   //  order4: SELLSTOP


  return(0);                                                                                                                   //  1- 
  }
//-------------------------------------------------------------------  3
  
  OrderSelect(order2, SELECT_BY_TICKET, MODE_TRADES);                                                                          // 2
  double cena3=OrderOpenPrice();                                                                                               //   2
  if(Ask<cena3+5*Point)                                                                                                        //: Ask     2  5 
  {
   OrderModify(order1, cena3+TakeProfit*Point, cena3+(TakeProfit+StopLoss)*Point, cena3, 0);                                   // 1    2
  
  return(0);                                                                                                                   //  2- 
  }
//-------------------------------------------------------------------  4
  
   OrderSelect(order1, SELECT_BY_TICKET, MODE_TRADES);                                                                         // 1
   double cena4=OrderOpenPrice();                                                                                              //   1
   if(Ask>cena4-5*Point)                                                                                                       //: Ask ,    1  5 
  {
   OrderModify(order2, cena4-TakeProfit*Point, cena4-(TakeProfit+StopLoss)*Point, cena4, 0);                                   // 2    1

  return(0);                                                                                                                   //  3- 
  }
//-------------------------------------------------------------------  5
  return(0);                                                                                                                   //  int start()
  }
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  { return(0); }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  { return(0); }